Package org.opensaml.soap.client.http

# Class HttpSOAPRequestParameters

java.lang.Object
org.opensaml.soap.client.http.HttpSOAPRequestParameters

All Implemented Interfaces:
  `SOAPClient.SOAPRequestParameters`

@ThreadSafe public class HttpSOAPRequestParameters extends Object implements SOAPClient.SOAPRequestParameters
HTTP transported SOAP request parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP_ACTION_HEADER`
Name of the HTTP SOAPAction header.
`private String`
`soapAction`
HTTP SOAPAction header.

## Constructor Summary

Constructors
Constructor
Description
`HttpSOAPRequestParameters(String action)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOAPAction()`
Gets the HTTP SOAPAction header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SOAP_ACTION_HEADER

@Nonnull @NotEmpty public static final String SOAP_ACTION_HEADER
Name of the HTTP SOAPAction header.

See Also:
  - Constant Field Values

### soapAction

@Nullable private String soapAction
HTTP SOAPAction header.

## Constructor Details

### HttpSOAPRequestParameters

public HttpSOAPRequestParameters(@Nullable String action)
Constructor.

Parameters:
  `action` - value for the SOAPAction HTTP header

## Method Details

### getSOAPAction

@Nullable public String getSOAPAction()
Gets the HTTP SOAPAction header.

Returns:
  HTTP SOAPAction header